WITH   Gnat.IO ;  USE Gnat.IO;

PROCEDURE   CharTb23  IS
BEGIN
   ----- LOOP , On each char
   FOR i in 0..255 LOOP
      Put (   i   );
      Put (   "   "   );

      ----- Write char  ( Ignoring problem chars )
      CASE i IS
         WHEN 0 | 7 | 8 | 9 | 10 | 13 | 26 =>
            Put (   "-"   );
         WHEN OTHERS =>
            Put (   Character'Val(i)   );
      END CASE;

      New_Line ;
   END LOOP;
END;
